# Class Options

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.Options

public class Options extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="DNSWaitTime" type="{http://www.w3.org/2001/XMLSchema}duration" />
           <attribute name="CertificateStore" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="CertificateExpirationThreshold" type="{http://www.w3.org/2001/XMLSchema}duration" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Duration`
  `certificateExpirationThreshold`
  `protected String`
  `certificateStore`
  `protected Duration`
  `dnsWaitTime`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Options()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `getCertificateExpirationThreshold()`
  Gets the value of the certificateExpirationThreshold property.
  `String`
  `getCertificateStore()`
  Gets the value of the certificateStore property.
  `Duration`
  `getDNSWaitTime()`
  Gets the value of the dnsWaitTime property.
  `void`
  `setCertificateExpirationThreshold(Duration value)`
  Sets the value of the certificateExpirationThreshold property.
  `void`
  `setCertificateStore(String value)`
  Sets the value of the certificateStore property.
  `void`
  `setDNSWaitTime(Duration value)`
  Sets the value of the dnsWaitTime property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dnsWaitTime

    protected Duration dnsWaitTime

  - ### certificateStore

    protected String certificateStore

  - ### certificateExpirationThreshold

    protected Duration certificateExpirationThreshold

- ## Constructor Details

  - ### Options

    public Options()

- ## Method Details

  - ### getDNSWaitTime

    public Duration getDNSWaitTime()
    Gets the value of the dnsWaitTime property.
    Returns:
      possible object is `Duration`

  - ### setDNSWaitTime

    public void setDNSWaitTime(Duration value)
    Sets the value of the dnsWaitTime property.
    Parameters:
      `value` - allowed object is `Duration`

  - ### getCertificateStore

    public String getCertificateStore()
    Gets the value of the certificateStore property.
    Returns:
      possible object is `String`

  - ### setCertificateStore

    public void setCertificateStore(String value)
    Sets the value of the certificateStore property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCertificateExpirationThreshold

    public Duration getCertificateExpirationThreshold()
    Gets the value of the certificateExpirationThreshold property.
    Returns:
      possible object is `Duration`

  - ### setCertificateExpirationThreshold

    public void setCertificateExpirationThreshold(Duration value)
    Sets the value of the certificateExpirationThreshold property.
    Parameters:
      `value` - allowed object is `Duration`